#include <cstdlib>
#include <cstdio>

int main () {
    int N;
    scanf ("%d", &N);

    FILE *outt = fopen ("signal.out", "w" );
    int n2 = N/2;
    for (int i = 0; i <= n2; ++i) {
        for (int j = 0; j < i; ++j)
            fprintf (outt, "11");
        for (int j = i*2; j < N; ++j)
            fprintf (outt, "0");
        fprintf (outt, "\n");
    }
    for (int i = 1; i < n2; ++i) {
                for (int j = i*2; j < N; ++j)
            fprintf (outt, "0");

        for (int j = 0; j < i; ++j)
            fprintf (outt, "11");
        fprintf (outt, "\n");
    }
    fclose (outt);
    return 0;
}
